import { ModelSpec, DropdownChoice } from './AtemModels';
import { AtemState } from 'atem-connection';
export declare function literal<T>(val: T): T;
export interface SourceInfo {
    id: number;
    shortName: string;
    longName: string;
}
export declare class AtemInfo {
    static Offsets: {
        ColorBars: number;
        Color: number;
        MediaPlayer: number;
        Usk: number;
        Dsk: number;
        SuperSource: number;
        Cleanfeed: number;
        Output: number;
        PgmPrv: number;
    };
    static InputIsBlack(input: number): boolean;
    static InputIsColorBar(input: number): boolean;
    static InputIsColor(input: number): boolean;
    static InputIsMediaplayer(input: number): boolean;
    static InputIsMediaplayerKey(input: number): boolean;
    static InputIsUpstreamKey(input: number): boolean;
    static InputIsDownstreamKey(input: number): boolean;
    static InputIsSuperSource(input: number): boolean;
    static InputIsCleanfeed(input: number): boolean;
    static InputIsOutput(input: number): boolean;
    static InputIsProgram(input: number): boolean;
    static InputIsPreview(input: number): boolean;
    static GetSuportSourceIndex(input: number): number;
    static GetSourcesListForType(model: ModelSpec, state: AtemState, subset?: 'me' | 'aux' | 'mv'): SourceInfo[];
    static SourcesToChoices(sources: SourceInfo[]): DropdownChoice[];
}
